Skip to content
GitHub

Delete an environment. Production environments need the `env-delete-protected` permission and are purged after a grace period.

DELETE
/api/v1/projects/{project}/environments/{environment}
curl --request DELETE \
--url https://example.com/api/v1/projects/example/environments/example
project
required
string

Project name

environment
required
string

Environment short name

Deletion accepted

Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}